> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCC groups

> Returns a list of pre-defined merchant category code (MCC) groups, which can used to create spending limits.



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json get /mcc-groups
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /mcc-groups:
    get:
      tags:
        - Merchant controls
      summary: List MCC groups
      description: >-
        Returns a list of pre-defined merchant category code (MCC) groups, which
        can used to create spending limits.
      operationId: findAllMccGroups
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          maxLength: 36
                          description: The unique identifier of the MCC group.
                          example: Airlines
                        name:
                          type:
                            - string
                          maxLength: 255
                          description: The name of the MCC group.
                          example: Airlines MCCs 3000 through 3350
                        active:
                          type:
                            - boolean
                          description: Whether or not the authorisation control is active.
                        mccs:
                          type:
                            - array
                          items:
                            type:
                              - string
                          description: >-
                            Array of Merchant Category Codes. This can be a list
                            of codes or a range (e.g., ```3000-3350```).
                        config:
                          type:
                            - object
                          properties:
                            authorizationControls:
                              type:
                                - object
                              properties:
                                holdIncrease:
                                  type:
                                    - object
                                  properties:
                                    type:
                                      type:
                                        - string
                                      description: The type of hold increase.
                                      example: AMOUNT
                                    value:
                                      type:
                                        - integer
                                      description: The value of the hold increase.
                                      example: 100
                                    holdExpirationDays:
                                      type:
                                        - integer
                                      description: >-
                                        The number of days the hold increase is
                                        valid.
                                      example: 30
                                  required:
                                    - type
                                    - value
                          required:
                            - authorizationControls
                      required:
                        - id
                        - name
                        - active
                        - mccs
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: Airlines
                      name: Airlines MCCs 3000 through 3350
                      active: true
                      mccs:
                        - string
                      config:
                        authorizationControls:
                          holdIncrease:
                            type: AMOUNT
                            value: 100
                            holdExpirationDays: 30
      security:
        - CommonAuth:
            - mcc-groups:read:own
            - mcc-groups:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/mcc-groups?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````